import { UseQueryOptions, UseMutationOptions } from 'react-query';
import type { UserDTO, AdminControllerGetUsersParams, UpdateUserDTO, SuccessResponseDTO, UpdateBlockchainAccountDTO } from './issuerIRECAPI.schemas';
declare type AsyncReturnType<T extends (...args: any) => Promise<any>> = T extends (...args: any) => Promise<infer R> ? R : any;
export declare const adminControllerGetUsers: <Data = unknown>(params?: AdminControllerGetUsersParams) => Promise<Data extends unknown ? UserDTO[] : Data>;
export declare const getAdminControllerGetUsersQueryKey: (params?: AdminControllerGetUsersParams) => (string | AdminControllerGetUsersParams)[];
export declare const useAdminControllerGetUsers: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(params?: AdminControllerGetUsersParams, queryConfig?: UseQueryOptions<UserDTO[], Error_1, UserDTO[], import("react-query").QueryKey>) => {
    data: undefined;
    error: null;
    isError: false;
    isIdle: true;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "idle";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<UserDTO[], Error_1>>;
    remove: () => void;
    queryKey: (string | AdminControllerGetUsersParams)[];
} | {
    data: undefined;
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: true;
    isRefetchError: false;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<UserDTO[], Error_1>>;
    remove: () => void;
    queryKey: (string | AdminControllerGetUsersParams)[];
} | {
    data: undefined;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: true;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "loading";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<UserDTO[], Error_1>>;
    remove: () => void;
    queryKey: (string | AdminControllerGetUsersParams)[];
} | {
    data: UserDTO[];
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: true;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<UserDTO[], Error_1>>;
    remove: () => void;
    queryKey: (string | AdminControllerGetUsersParams)[];
} | {
    data: UserDTO[];
    error: null;
    isError: false;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: true;
    status: "success";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<UserDTO[], Error_1>>;
    remove: () => void;
    queryKey: (string | AdminControllerGetUsersParams)[];
};
export declare const adminControllerUpdateUser: <Data = unknown>(id: number, updateUserDTO: UpdateUserDTO) => Promise<Data extends unknown ? UserDTO : Data>;
export declare const useAdminControllerUpdateUser: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(mutationConfig?: UseMutationOptions<UserDTO, Error_1, {
    id: number;
    data: UpdateUserDTO;
}, unknown>) => import("react-query").UseMutationResult<UserDTO, Error_1, {
    id: number;
    data: UpdateUserDTO;
}, unknown>;
export declare const adminControllerUpdateBlockchainAddress: <Data = unknown>(id: number, updateBlockchainAccountDTO: UpdateBlockchainAccountDTO) => Promise<Data extends unknown ? SuccessResponseDTO : Data>;
export declare const useAdminControllerUpdateBlockchainAddress: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(mutationConfig?: UseMutationOptions<SuccessResponseDTO, Error_1, {
    id: number;
    data: UpdateBlockchainAccountDTO;
}, unknown>) => import("react-query").UseMutationResult<SuccessResponseDTO, Error_1, {
    id: number;
    data: UpdateBlockchainAccountDTO;
}, unknown>;
export {};
