import { UseQueryOptions, UseMutationOptions } from 'react-query';
import type { CertificateDTO, IssueCertificateDTO, CertificateControllerGetAggregateCertifiedEnergyByDeviceIdParams, SuccessResponseDTO, TransferCertificateDTO, ClaimCertificateDTO, CertificateEvent, CertificateIdsDTO, BatchIssueCertificateDTO, BatchCertificateTransferDTO, BatchCertificateClaimDTO } from './issuerIRECAPI.schemas';
declare type AsyncReturnType<T extends (...args: any) => Promise<any>> = T extends (...args: any) => Promise<infer R> ? R : any;
export declare const certificateControllerGet: <Data = unknown>(id: number) => Promise<Data extends unknown ? CertificateDTO : Data>;
export declare const getCertificateControllerGetQueryKey: (id: number) => string[];
export declare const useCertificateControllerGet: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(id: number, queryConfig?: UseQueryOptions<CertificateDTO, Error_1, CertificateDTO, import("react-query").QueryKey>) => {
    data: undefined;
    error: null;
    isError: false;
    isIdle: true;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "idle";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<CertificateDTO, Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: undefined;
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: true;
    isRefetchError: false;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<CertificateDTO, Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: undefined;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: true;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "loading";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<CertificateDTO, Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: CertificateDTO;
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: true;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<CertificateDTO, Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: CertificateDTO;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: true;
    status: "success";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<CertificateDTO, Error_1>>;
    remove: () => void;
    queryKey: string[];
};
export declare const certificateControllerGetAll: <Data = unknown>() => Promise<Data extends unknown ? CertificateDTO[] : Data>;
export declare const getCertificateControllerGetAllQueryKey: () => string[];
export declare const useCertificateControllerGetAll: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(queryConfig?: UseQueryOptions<CertificateDTO[], Error_1, CertificateDTO[], import("react-query").QueryKey>) => {
    data: undefined;
    error: null;
    isError: false;
    isIdle: true;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "idle";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<CertificateDTO[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: undefined;
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: true;
    isRefetchError: false;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<CertificateDTO[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: undefined;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: true;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "loading";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<CertificateDTO[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: CertificateDTO[];
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: true;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<CertificateDTO[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: CertificateDTO[];
    error: null;
    isError: false;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: true;
    status: "success";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<CertificateDTO[], Error_1>>;
    remove: () => void;
    queryKey: string[];
};
export declare const certificateControllerIssue: <Data = unknown>(issueCertificateDTO: IssueCertificateDTO) => Promise<Data extends unknown ? CertificateDTO : Data>;
export declare const useCertificateControllerIssue: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(mutationConfig?: UseMutationOptions<CertificateDTO, Error_1, {
    data: IssueCertificateDTO;
}, unknown>) => import("react-query").UseMutationResult<CertificateDTO, Error_1, {
    data: IssueCertificateDTO;
}, unknown>;
export declare const certificateControllerGetAggregateCertifiedEnergyByDeviceId: <Data = unknown>(deviceId: string, params?: CertificateControllerGetAggregateCertifiedEnergyByDeviceIdParams) => Promise<Data extends unknown ? string : Data>;
export declare const getCertificateControllerGetAggregateCertifiedEnergyByDeviceIdQueryKey: (deviceId: string, params?: CertificateControllerGetAggregateCertifiedEnergyByDeviceIdParams) => (string | CertificateControllerGetAggregateCertifiedEnergyByDeviceIdParams)[];
export declare const useCertificateControllerGetAggregateCertifiedEnergyByDeviceId: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(deviceId: string, params?: CertificateControllerGetAggregateCertifiedEnergyByDeviceIdParams, queryConfig?: UseQueryOptions<string, Error_1, string, import("react-query").QueryKey>) => {
    data: undefined;
    error: null;
    isError: false;
    isIdle: true;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "idle";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<string, Error_1>>;
    remove: () => void;
    queryKey: (string | CertificateControllerGetAggregateCertifiedEnergyByDeviceIdParams)[];
} | {
    data: undefined;
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: true;
    isRefetchError: false;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<string, Error_1>>;
    remove: () => void;
    queryKey: (string | CertificateControllerGetAggregateCertifiedEnergyByDeviceIdParams)[];
} | {
    data: undefined;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: true;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "loading";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<string, Error_1>>;
    remove: () => void;
    queryKey: (string | CertificateControllerGetAggregateCertifiedEnergyByDeviceIdParams)[];
} | {
    data: string;
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: true;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<string, Error_1>>;
    remove: () => void;
    queryKey: (string | CertificateControllerGetAggregateCertifiedEnergyByDeviceIdParams)[];
} | {
    data: string;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: true;
    status: "success";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<string, Error_1>>;
    remove: () => void;
    queryKey: (string | CertificateControllerGetAggregateCertifiedEnergyByDeviceIdParams)[];
};
export declare const certificateControllerTransfer: <Data = unknown>(id: number, transferCertificateDTO: TransferCertificateDTO) => Promise<Data extends unknown ? SuccessResponseDTO : Data>;
export declare const useCertificateControllerTransfer: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(mutationConfig?: UseMutationOptions<SuccessResponseDTO, Error_1, {
    id: number;
    data: TransferCertificateDTO;
}, unknown>) => import("react-query").UseMutationResult<SuccessResponseDTO, Error_1, {
    id: number;
    data: TransferCertificateDTO;
}, unknown>;
export declare const certificateControllerClaim: <Data = unknown>(id: number, claimCertificateDTO: ClaimCertificateDTO) => Promise<Data extends unknown ? SuccessResponseDTO : Data>;
export declare const useCertificateControllerClaim: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(mutationConfig?: UseMutationOptions<SuccessResponseDTO, Error_1, {
    id: number;
    data: ClaimCertificateDTO;
}, unknown>) => import("react-query").UseMutationResult<SuccessResponseDTO, Error_1, {
    id: number;
    data: ClaimCertificateDTO;
}, unknown>;
export declare const certificateControllerGetAllEvents: <Data = unknown>(id: number) => Promise<Data extends unknown ? CertificateEvent[] : Data>;
export declare const getCertificateControllerGetAllEventsQueryKey: (id: number) => string[];
export declare const useCertificateControllerGetAllEvents: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(id: number, queryConfig?: UseQueryOptions<CertificateEvent[], Error_1, CertificateEvent[], import("react-query").QueryKey>) => {
    data: undefined;
    error: null;
    isError: false;
    isIdle: true;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "idle";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<CertificateEvent[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: undefined;
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: true;
    isRefetchError: false;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<CertificateEvent[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: undefined;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: true;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "loading";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<CertificateEvent[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: CertificateEvent[];
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: true;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<CertificateEvent[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: CertificateEvent[];
    error: null;
    isError: false;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: true;
    status: "success";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<CertificateEvent[], Error_1>>;
    remove: () => void;
    queryKey: string[];
};
export declare const certificateBatchControllerBatchIssue: <Data = unknown>(batchIssueCertificateDTO: BatchIssueCertificateDTO[]) => Promise<Data extends unknown ? CertificateIdsDTO : Data>;
export declare const useCertificateBatchControllerBatchIssue: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(mutationConfig?: UseMutationOptions<CertificateIdsDTO, Error_1, {
    data: BatchIssueCertificateDTO[];
}, unknown>) => import("react-query").UseMutationResult<CertificateIdsDTO, Error_1, {
    data: BatchIssueCertificateDTO[];
}, unknown>;
export declare const certificateBatchControllerBatchTransfer: <Data = unknown>(batchCertificateTransferDTO: BatchCertificateTransferDTO[]) => Promise<Data extends unknown ? SuccessResponseDTO : Data>;
export declare const useCertificateBatchControllerBatchTransfer: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(mutationConfig?: UseMutationOptions<SuccessResponseDTO, Error_1, {
    data: BatchCertificateTransferDTO[];
}, unknown>) => import("react-query").UseMutationResult<SuccessResponseDTO, Error_1, {
    data: BatchCertificateTransferDTO[];
}, unknown>;
export declare const certificateBatchControllerBatchClaim: <Data = unknown>(batchCertificateClaimDTO: BatchCertificateClaimDTO[]) => Promise<Data extends unknown ? SuccessResponseDTO : Data>;
export declare const useCertificateBatchControllerBatchClaim: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(mutationConfig?: UseMutationOptions<SuccessResponseDTO, Error_1, {
    data: BatchCertificateClaimDTO[];
}, unknown>) => import("react-query").UseMutationResult<SuccessResponseDTO, Error_1, {
    data: BatchCertificateClaimDTO[];
}, unknown>;
export {};
