import { UseQueryOptions, UseMutationOptions } from 'react-query';
import type { IrecAccountItemDto, SuccessResponseDTO, ImportIrecCertificateDTO, ClaimCertificateDTO, CertificateDTO, IssueCertificateDTO, IrecCertificateControllerGetAggregateCertifiedEnergyByDeviceIdParams, TransferCertificateDTO, CertificateEvent } from './issuerIRECAPI.schemas';
declare type AsyncReturnType<T extends (...args: any) => Promise<any>> = T extends (...args: any) => Promise<infer R> ? R : any;
export declare const irecCertificateControllerGetIrecCertificateToImport: <Data = unknown>() => Promise<Data extends unknown ? IrecAccountItemDto[] : Data>;
export declare const getIrecCertificateControllerGetIrecCertificateToImportQueryKey: () => string[];
export declare const useIrecCertificateControllerGetIrecCertificateToImport: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(queryConfig?: UseQueryOptions<IrecAccountItemDto[], Error_1, IrecAccountItemDto[], import("react-query").QueryKey>) => {
    data: undefined;
    error: null;
    isError: false;
    isIdle: true;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "idle";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<IrecAccountItemDto[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: undefined;
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: true;
    isRefetchError: false;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<IrecAccountItemDto[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: undefined;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: true;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "loading";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<IrecAccountItemDto[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: IrecAccountItemDto[];
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: true;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<IrecAccountItemDto[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: IrecAccountItemDto[];
    error: null;
    isError: false;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: true;
    status: "success";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<IrecAccountItemDto[], Error_1>>;
    remove: () => void;
    queryKey: string[];
};
export declare const irecCertificateControllerImportIrecDevice: <Data = unknown>(importIrecCertificateDTO: ImportIrecCertificateDTO) => Promise<Data extends unknown ? SuccessResponseDTO : Data>;
export declare const useIrecCertificateControllerImportIrecDevice: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(mutationConfig?: UseMutationOptions<SuccessResponseDTO, Error_1, {
    data: ImportIrecCertificateDTO;
}, unknown>) => import("react-query").UseMutationResult<SuccessResponseDTO, Error_1, {
    data: ImportIrecCertificateDTO;
}, unknown>;
export declare const irecCertificateControllerClaim: <Data = unknown>(id: number, claimCertificateDTO: ClaimCertificateDTO) => Promise<Data extends unknown ? SuccessResponseDTO : Data>;
export declare const useIrecCertificateControllerClaim: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(mutationConfig?: UseMutationOptions<SuccessResponseDTO, Error_1, {
    id: number;
    data: ClaimCertificateDTO;
}, unknown>) => import("react-query").UseMutationResult<SuccessResponseDTO, Error_1, {
    id: number;
    data: ClaimCertificateDTO;
}, unknown>;
export declare const irecCertificateControllerGet: <Data = unknown>(id: number) => Promise<Data extends unknown ? CertificateDTO : Data>;
export declare const getIrecCertificateControllerGetQueryKey: (id: number) => string[];
export declare const useIrecCertificateControllerGet: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(id: number, queryConfig?: UseQueryOptions<CertificateDTO, Error_1, CertificateDTO, import("react-query").QueryKey>) => {
    data: undefined;
    error: null;
    isError: false;
    isIdle: true;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "idle";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<CertificateDTO, Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: undefined;
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: true;
    isRefetchError: false;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<CertificateDTO, Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: undefined;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: true;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "loading";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<CertificateDTO, Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: CertificateDTO;
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: true;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<CertificateDTO, Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: CertificateDTO;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: true;
    status: "success";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<CertificateDTO, Error_1>>;
    remove: () => void;
    queryKey: string[];
};
export declare const irecCertificateControllerGetAll: <Data = unknown>() => Promise<Data extends unknown ? CertificateDTO[] : Data>;
export declare const getIrecCertificateControllerGetAllQueryKey: () => string[];
export declare const useIrecCertificateControllerGetAll: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(queryConfig?: UseQueryOptions<CertificateDTO[], Error_1, CertificateDTO[], import("react-query").QueryKey>) => {
    data: undefined;
    error: null;
    isError: false;
    isIdle: true;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "idle";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<CertificateDTO[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: undefined;
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: true;
    isRefetchError: false;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<CertificateDTO[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: undefined;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: true;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "loading";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<CertificateDTO[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: CertificateDTO[];
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: true;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<CertificateDTO[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: CertificateDTO[];
    error: null;
    isError: false;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: true;
    status: "success";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<CertificateDTO[], Error_1>>;
    remove: () => void;
    queryKey: string[];
};
export declare const irecCertificateControllerIssue: <Data = unknown>(issueCertificateDTO: IssueCertificateDTO) => Promise<Data extends unknown ? CertificateDTO : Data>;
export declare const useIrecCertificateControllerIssue: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(mutationConfig?: UseMutationOptions<CertificateDTO, Error_1, {
    data: IssueCertificateDTO;
}, unknown>) => import("react-query").UseMutationResult<CertificateDTO, Error_1, {
    data: IssueCertificateDTO;
}, unknown>;
export declare const irecCertificateControllerGetAggregateCertifiedEnergyByDeviceId: <Data = unknown>(deviceId: string, params?: IrecCertificateControllerGetAggregateCertifiedEnergyByDeviceIdParams) => Promise<Data extends unknown ? string : Data>;
export declare const getIrecCertificateControllerGetAggregateCertifiedEnergyByDeviceIdQueryKey: (deviceId: string, params?: IrecCertificateControllerGetAggregateCertifiedEnergyByDeviceIdParams) => (string | IrecCertificateControllerGetAggregateCertifiedEnergyByDeviceIdParams)[];
export declare const useIrecCertificateControllerGetAggregateCertifiedEnergyByDeviceId: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(deviceId: string, params?: IrecCertificateControllerGetAggregateCertifiedEnergyByDeviceIdParams, queryConfig?: UseQueryOptions<string, Error_1, string, import("react-query").QueryKey>) => {
    data: undefined;
    error: null;
    isError: false;
    isIdle: true;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "idle";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<string, Error_1>>;
    remove: () => void;
    queryKey: (string | IrecCertificateControllerGetAggregateCertifiedEnergyByDeviceIdParams)[];
} | {
    data: undefined;
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: true;
    isRefetchError: false;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<string, Error_1>>;
    remove: () => void;
    queryKey: (string | IrecCertificateControllerGetAggregateCertifiedEnergyByDeviceIdParams)[];
} | {
    data: undefined;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: true;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "loading";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<string, Error_1>>;
    remove: () => void;
    queryKey: (string | IrecCertificateControllerGetAggregateCertifiedEnergyByDeviceIdParams)[];
} | {
    data: string;
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: true;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<string, Error_1>>;
    remove: () => void;
    queryKey: (string | IrecCertificateControllerGetAggregateCertifiedEnergyByDeviceIdParams)[];
} | {
    data: string;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: true;
    status: "success";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<string, Error_1>>;
    remove: () => void;
    queryKey: (string | IrecCertificateControllerGetAggregateCertifiedEnergyByDeviceIdParams)[];
};
export declare const irecCertificateControllerTransfer: <Data = unknown>(id: number, transferCertificateDTO: TransferCertificateDTO) => Promise<Data extends unknown ? SuccessResponseDTO : Data>;
export declare const useIrecCertificateControllerTransfer: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(mutationConfig?: UseMutationOptions<SuccessResponseDTO, Error_1, {
    id: number;
    data: TransferCertificateDTO;
}, unknown>) => import("react-query").UseMutationResult<SuccessResponseDTO, Error_1, {
    id: number;
    data: TransferCertificateDTO;
}, unknown>;
export declare const irecCertificateControllerGetAllEvents: <Data = unknown>(id: number) => Promise<Data extends unknown ? CertificateEvent[] : Data>;
export declare const getIrecCertificateControllerGetAllEventsQueryKey: (id: number) => string[];
export declare const useIrecCertificateControllerGetAllEvents: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(id: number, queryConfig?: UseQueryOptions<CertificateEvent[], Error_1, CertificateEvent[], import("react-query").QueryKey>) => {
    data: undefined;
    error: null;
    isError: false;
    isIdle: true;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "idle";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<CertificateEvent[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: undefined;
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: true;
    isRefetchError: false;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<CertificateEvent[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: undefined;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: true;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "loading";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<CertificateEvent[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: CertificateEvent[];
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: true;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<CertificateEvent[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: CertificateEvent[];
    error: null;
    isError: false;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: true;
    status: "success";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<CertificateEvent[], Error_1>>;
    remove: () => void;
    queryKey: string[];
};
export {};
