import { UseQueryOptions, UseMutationOptions } from 'react-query';
import type { UserDTO, RegisterUserDTO, UpdateOwnUserSettingsDTO, UpdateUserProfileDTO, UpdatePasswordDTO, SuccessResponseDTO } from './issuerIRECAPI.schemas';
declare type AsyncReturnType<T extends (...args: any) => Promise<any>> = T extends (...args: any) => Promise<infer R> ? R : any;
export declare const userControllerRegister: <Data = unknown>(registerUserDTO: RegisterUserDTO) => Promise<Data extends unknown ? UserDTO : Data>;
export declare const useUserControllerRegister: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(mutationConfig?: UseMutationOptions<UserDTO, Error_1, {
    data: RegisterUserDTO;
}, unknown>) => import("react-query").UseMutationResult<UserDTO, Error_1, {
    data: RegisterUserDTO;
}, unknown>;
export declare const userControllerMe: <Data = unknown>() => Promise<Data extends unknown ? UserDTO : Data>;
export declare const getUserControllerMeQueryKey: () => string[];
export declare const useUserControllerMe: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(queryConfig?: UseQueryOptions<UserDTO, Error_1, UserDTO, import("react-query").QueryKey>) => {
    data: undefined;
    error: null;
    isError: false;
    isIdle: true;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "idle";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<UserDTO, Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: undefined;
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: true;
    isRefetchError: false;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<UserDTO, Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: undefined;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: true;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "loading";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<UserDTO, Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: UserDTO;
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: true;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<UserDTO, Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: UserDTO;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: true;
    status: "success";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<UserDTO, Error_1>>;
    remove: () => void;
    queryKey: string[];
};
export declare const userControllerUpdateOwnUserSettings: <Data = unknown>(updateOwnUserSettingsDTO: UpdateOwnUserSettingsDTO) => Promise<Data extends unknown ? UserDTO : Data>;
export declare const useUserControllerUpdateOwnUserSettings: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(mutationConfig?: UseMutationOptions<UserDTO, Error_1, {
    data: UpdateOwnUserSettingsDTO;
}, unknown>) => import("react-query").UseMutationResult<UserDTO, Error_1, {
    data: UpdateOwnUserSettingsDTO;
}, unknown>;
export declare const userControllerGet: <Data = unknown>(id: number) => Promise<Data extends unknown ? UserDTO : Data>;
export declare const getUserControllerGetQueryKey: (id: number) => string[];
export declare const useUserControllerGet: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(id: number, queryConfig?: UseQueryOptions<UserDTO, Error_1, UserDTO, import("react-query").QueryKey>) => {
    data: undefined;
    error: null;
    isError: false;
    isIdle: true;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "idle";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<UserDTO, Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: undefined;
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: true;
    isRefetchError: false;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<UserDTO, Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: undefined;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: true;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "loading";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<UserDTO, Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: UserDTO;
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: true;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<UserDTO, Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: UserDTO;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: true;
    status: "success";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<UserDTO, Error_1>>;
    remove: () => void;
    queryKey: string[];
};
export declare const userControllerUpdateOwnProfile: <Data = unknown>(updateUserProfileDTO: UpdateUserProfileDTO) => Promise<Data extends unknown ? UserDTO : Data>;
export declare const useUserControllerUpdateOwnProfile: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(mutationConfig?: UseMutationOptions<UserDTO, Error_1, {
    data: UpdateUserProfileDTO;
}, unknown>) => import("react-query").UseMutationResult<UserDTO, Error_1, {
    data: UpdateUserProfileDTO;
}, unknown>;
export declare const userControllerUpdateOwnPassword: <Data = unknown>(updatePasswordDTO: UpdatePasswordDTO) => Promise<Data extends unknown ? UserDTO : Data>;
export declare const useUserControllerUpdateOwnPassword: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(mutationConfig?: UseMutationOptions<UserDTO, Error_1, {
    data: UpdatePasswordDTO;
}, unknown>) => import("react-query").UseMutationResult<UserDTO, Error_1, {
    data: UpdatePasswordDTO;
}, unknown>;
export declare const userControllerConfirmToken: <Data = unknown>(token: string) => Promise<Data extends unknown ? string : Data>;
export declare const useUserControllerConfirmToken: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(mutationConfig?: UseMutationOptions<string, Error_1, {
    token: string;
}, unknown>) => import("react-query").UseMutationResult<string, Error_1, {
    token: string;
}, unknown>;
export declare const userControllerReSendEmailConfirmation: <Data = unknown>() => Promise<Data extends unknown ? SuccessResponseDTO : Data>;
export declare const useUserControllerReSendEmailConfirmation: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(mutationConfig?: UseMutationOptions<SuccessResponseDTO, Error_1, void, unknown>) => import("react-query").UseMutationResult<SuccessResponseDTO, Error_1, void, unknown>;
export {};
